CREATE TABLE AFAKONT
(AFAKULCS     SMALLINT,
AFANEV       CHAR(20),
KONTIR       CHAR(8)
);

CREATE TABLE CEGADATOK
(id integer not null,
nyelv char(40) not null default "",
kerulet varchar(80) not null default "",
cegnev varchar(160) not null default "",
irsz varchar(80) not null default "",
telepules varchar(160) not null default "",
ktnev varchar(160) not null default "",
ktjelleg varchar(80) not null default "",
hazszam varchar(80) not null default "",
epulet varchar(80) not null default "",
lepcsohaz varchar(80) not null default "",
szint varchar(80) not null default "",
ajto varchar(80) not null default "",
adoszam varchar(80) not null default "",
euadoszam varchar(160) not null default "",
bankszamla varchar(160) not null default "",
evallnev varchar(160) not null default "",
evallreg varchar(80) not null default "",
kisadozo varchar(160) not null default "",
epulet_rov varchar(40) not null default "",
lepcsohaz_rov varchar(40) not null default "",
szint_rov varchar(40) not null default "",
ajto_rov varchar(40) not null default "",
bank0 varchar(160) not null default "",
bank1 varchar(160) not null default "",
bank2 varchar(160) not null default "",
bank3 varchar(160) not null default "",
bank4 varchar(160) not null default "",
bank5 varchar(160) not null default "",
bank6 varchar(160) not null default "",
bank7 varchar(160) not null default "",
bank8 varchar(160) not null default "",
bank9 varchar(160) not null default "",
kisadokell varchar(1) not null default "",
PRIMARY KEY(id,nyelv)
);

CREATE TABLE CIKK
(CIKKSZ       CHAR(14),
MEGN         CHAR(60),
TERMJELZ     CHAR(15),
MEEGYS       CHAR(6),
AFA          SMALLINT,
MSZ          CHAR(20),
EGYSAR1      NUMERIC(14,2) /* FLOAT */,
EGYSAR2      NUMERIC(14,2) /* FLOAT */,
EGYSAR3      NUMERIC(14,2) /* FLOAT */,
EGYSAR4      NUMERIC(14,2) /* FLOAT */,
EGYSAR5      NUMERIC(14,2) /* FLOAT */,
EGYSAR6      NUMERIC(14,2) /* FLOAT */,
EGYSAR7      NUMERIC(14,2) /* FLOAT */,
EGYSAR8      NUMERIC(14,2) /* FLOAT */,
EGYSAR9      NUMERIC(14,2) /* FLOAT */,
EGYSAR10     NUMERIC(14,2) /* FLOAT */,
TOL1         NUMERIC(14,2) /* FLOAT */,
TOL2         NUMERIC(14,2) /* FLOAT */,
TOL3         NUMERIC(14,2) /* FLOAT */,
TOL4         NUMERIC(14,2) /* FLOAT */,
TOL5         NUMERIC(14,2) /* FLOAT */,
TOL6         NUMERIC(14,2) /* FLOAT */,
TOL7         NUMERIC(14,2) /* FLOAT */,
TOL8         NUMERIC(14,2) /* FLOAT */,
TOL9         NUMERIC(14,2) /* FLOAT */,
TOL10        NUMERIC(14,2) /* FLOAT */,
IG1          NUMERIC(14,2) /* FLOAT */,
IG2          NUMERIC(14,2) /* FLOAT */,
IG3          NUMERIC(14,2) /* FLOAT */,
IG4          NUMERIC(14,2) /* FLOAT */,
IG5          NUMERIC(14,2) /* FLOAT */,
IG6          NUMERIC(14,2) /* FLOAT */,
IG7          NUMERIC(14,2) /* FLOAT */,
IG8          NUMERIC(14,2) /* FLOAT */,
IG9          NUMERIC(14,2) /* FLOAT */,
IG10         NUMERIC(14,2) /* FLOAT */,
/*CIKKJEL      SMALLINT,*/
CIKKJEL      CHAR(2) NOT NULL DEFAULT "",
KEREKITES    SMALLINT
);

CREATE TABLE CIKKJEL
(CIKKJEL     CHAR(2),
MEGN         CHAR(60)
);

CREATE TABLE CSZKONT
(CIKSZAM     CHAR(14),
CIKNEV       CHAR(60),
KONTIR       CHAR(8)
);

CREATE TABLE FIZMOD
(FIZKOD      CHAR(1),
MEGN         CHAR(15)
/*KP           CHAR(1) default " "*/ /* 2008.02.05 */
);

CREATE TABLE FMKONT
(FIZMOD      SMALLINT,
FMNEV        CHAR(15),
KONTIR       CHAR(8)
);

CREATE TABLE KONTSZAB
(CIKKSZ CHAR(14),
KP_BSZMOD  CHAR(20),
KP_T  CHAR(8),
KP_K  CHAR(8),
KP_NAPLO  CHAR(8),
B_BSZMOD CHAR(20),
B_T  CHAR(8),
B_K CHAR(8),
B_NAPLO  CHAR(8),
TARTALEK1  CHAR(20),
TARTALEK2  CHAR(20),
TARTALEK3  CHAR(20)
);

CREATE TABLE LEVONAS
(SZLASZAM    NUMERIC(14,2) /* FLOAT */,
SORSZAM      NUMERIC(14,2) /* FLOAT */,
SZOVEG       CHAR(80),
OSSZEG       NUMERIC(14,2) /* FLOAT */,
ESZLASZ      NUMERIC(14,2) /* FLOAT */,
EV           CHAR(4),
PENZNEM      CHAR(3),
TARTALEK     CHAR(40)
);
CREATE TABLE MSZ
(KOD  char(20),
NEV   char(60));

CREATE TABLE PARAM
(ICIKKSZAM    CHAR(14),
IDATUM1      CHAR(10),
IDATUM2      CHAR(10),
IPARTNER     CHAR(8),
ISZLAKAT     SMALLINT,
IPAR1        CHAR(20),
IPAR2        CHAR(20),
IPAR3        CHAR(20)
);

CREATE TABLE PARTNER
(PKOD         CHAR(8),
PNEV1        CHAR(40),
PNEV2        CHAR(40),
IRSZ         CHAR(10),
VAROS        CHAR(30),
CIM          CHAR(40),
ADOSZ        CHAR(11),
BANK         CHAR(40),
EMAIL        CHAR(50),
PTEL         CHAR(15),
MFIZHAT      SMALLINT,
RELACIO      SMALLINT,
KOD1         CHAR(8),
KOD2         CHAR(8),
KOD3         CHAR(8),
TARTALEK1    CHAR(20),
TARTALEK2    CHAR(20),
EUADOSZ      CHAR(30),
KERULET      VARCHAR(10) not null default "",
KJELLEG      VARCHAR(40) not null default "",
HAZSZAM      VARCHAR(10) not null default "",
EPULET       VARCHAR(10) not null default "",
LEPCSO       VARCHAR(10) not null default "",
SZINT        VARCHAR(10) not null default "",
AJTO         VARCHAR(10) not null default ""
);

CREATE TABLE SZLAFEJ
(SZLAJEL      SMALLINT,
SZLASZAM     INTEGER,
PKOD         CHAR(8),
PNEV1        CHAR(40),
PNEV2        CHAR(40),
IRSZ         CHAR(10),
VAROS        CHAR(30),
CIM          CHAR(40),
ADOSZ        CHAR(11),
BANK         CHAR(40),
FIZMOD       SMALLINT,
JOVAIRAS     CHAR(1),
SZLAKELT     CHAR(10),
SZLAHATI     CHAR(10),
SZLATELJ     CHAR(10),
SZNETTO      NUMERIC(14,2) /* FLOAT */,
SZBRUTTO     NUMERIC(14,2) /* FLOAT */,
SZN0         NUMERIC(14,2) /* FLOAT */,
SZN12        NUMERIC(14,2) /* FLOAT */,
SZN25        NUMERIC(14,2) /* FLOAT */,
SZTM         NUMERIC(14,2) /* FLOAT */,
SZNAFA       NUMERIC(14,2) /* FLOAT */,
STORNO       CHAR(1),
KOZL1        CHAR(80),
KOZL2        CHAR(80),
KOZL3        CHAR(80),
MEGJ1        CHAR(60),
SZKAT        SMALLINT,
PENZNEM      CHAR(3),
GEPSZAM      SMALLINT,
EUADOSZ      CHAR(30),
STORNOKOD    CHAR(1),  /* 0-Norml szmla, 1 -"rgi" stornoz, 2-stornozott, 3 -j stornoz */
                       /*  1 kdnl a nyomtat, listz modulok negativ szmot irnak ki,
                           de az adatbzisban pozitiv szmok vannak */
KAPCSBIZ     INTEGER,
SZN5         NUMERIC(14,2),
SZN15        NUMERIC(14,2),
SZMA         NUMERIC(14,2),
SZMNT4       NUMERIC(14,2),
PNZBSZ       CHAR(10),
PNZBSZPER    CHAR(3),
FLAGS        CHAR(4),
ARFOLYAM     NUMERIC(14,6), /* 2008.02.05 - FA rfolyam kezels */
ARFDATUM     CHAR(10),      /* 2008.02.05 - FA rfolyam kezels */
AFAINFO      CHAR(80) not null, /* 2012.10.27 - pnzforgalmi FA kezelshez */
SZLAINFO     CHAR(80) not null, /* 2012.12.29 - kisadoz */
CEGADATID    INTEGER not null default -1,
KERULET      VARCHAR(10) not null default "",
KJELLEG      VARCHAR(40) not null default "",
HAZSZAM      VARCHAR(10) not null default "",
EPULET       VARCHAR(10) not null default "",
LEPCSO       VARCHAR(10) not null default "",
SZINT        VARCHAR(10) not null default "",
AJTO         VARCHAR(10) not null default ""
/* A dinamikus AFA mezk miatt ide tovbbi SZMNTx, SZMA# mezk is kerlhetnek */
);

CREATE TABLE SZLAKAT
(RECNO        SMALLINT,
MEGN         CHAR(20)
);

CREATE TABLE SZLAPLD
(SZMSZAM     INTEGER,
PLD          SMALLINT,
TART         CHAR(20)
);

CREATE TABLE SZLATET
(SZLAJEL      CHAR(4),
SZLASZAM     INTEGER,
TETEL        SMALLINT,
CIKKSZ       CHAR(14),
EGYSAR       NUMERIC(14,2) /* FLOAT */,
MENNYIS      NUMERIC(14,2) /* FLOAT */,
MEEGYS       CHAR(6),
AFA          SMALLINT,
MEGN         CHAR(60),
TERMJELZ     CHAR(15),
KAPCSBIZ     CHAR(20),
MSZ          CHAR(20),
CIKKJEL      CHAR(2) not null default ""
);

CREATE TABLE SZORZO
(JOVAIRAS    CHAR(1),
SZORZO       SMALLINT
);

CREATE TABLE nodteconfig (
  navtecusername char(40) NOT NULL default '',
  navtecuserpass char(40) NOT NULL default '',
  navtecusersignkey char(40) NOT NULL default '',
  navtecusercsere char(40) NOT NULL default '',
  PRIMARY KEY  (navtecusername,navtecuserpass)
);











